- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_MeasurementUnit;'
    name: 'Measurement Unit'
    index: 1607
    # zq-yaml: this attribute on the instance should be interpreted as an alias for that global identifier
    # so if we write ... { width: { value: 4, unit: em } } it should refer to {D55B...}
    instanceReferenceAliasTagName: 'symbol'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Comment;'
      customTagName: 'description'
    - instance: '&IDA_CSSValue;'
      customTagName: 'symbol'
    instances:
    - instance: '&IDI_MeasurementUnit_Centimeter;'
      name: 'Centimeter'
      symbol: 'cm'
      description: 'Measurement is in centimeters.'
    - instance: '&IDI_MeasurementUnit_Em;'
      name: 'Em'
      symbol: 'em'
      description: "Measurement is relative to the height of the parent element's font."
    - instance: '&IDI_MeasurementUnit_Ex;'
      name: 'Ex'
      symbol: 'ex'
      description: "Measurement is relative to the height of the lowercase letter x of the parent element's font."
    - instance: '&IDI_MeasurementUnit_Inch;'
      name: 'Inch'
      symbol: 'in'
      description: "Measurement is in inches."
    - instance: "&IDI_MeasurementUnit_Millimeter;"
      name: "Millimeter"
      symbol: 'mm'
      description: "Measurement is in millimeters."
    - instance: "&IDI_MeasurementUnit_Percentage;"
      name: "Percentage"
      symbol: '%'
      description: "Measurement is a percentage relative to the parent element."
    - instance: "&IDI_MeasurementUnit_Pica;"
      name: "Pica"
      symbol: 'pc'
      description: "Measurement is in picas. A pica represents 12 points."
    - instance: "&IDI_MeasurementUnit_Pixel;"
      name: "Pixel"
      symbol: "px"
      description: "Measurement is in pixels."
    - instance: "&IDI_MeasurementUnit_Point;"
      name: "Point"
      symbol: "pt"
      description: "Measurement is in points. A point represents 1/72 of an inch."
    - instance: "&IDI_MeasurementUnit_Twip;"
      name: "Twip"
      symbol: null
      description: "Measurement is in twips. A twip is 1/20th of a point. This is not natively supported by CSS."
